﻿package{
	import flash.display.*;
	import flash.events.Event;
	import flash.filters.BlurFilter;
	import flash.geom.Matrix;
	import flash.geom.Point;
	public class Perliner extends Sprite
	{
		private var bmd:BitmapData;
		private var background:Bitmap;
		private var angle:Number = Math.random()*50+10;
		private var painter:Sprite;
		private var matrix:Matrix ;
		private var color:uint = 0xff0000;
		private var filterObj:BlurFilter = new BlurFilter(1,1,1);
		public function Perliner():void
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			bmd = new BitmapData(stage.stageWidth,stage.stageHeight,false,0xff000000);
			background = new Bitmap(bmd);
			addChild(background);
			painter = new Sprite();
			init();
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function init():void
		{
			angle = -20;
			color = Math.random()*0xffffff;
			painter.graphics.beginFill(color,1);
			painter.graphics.drawCircle(1,1,Math.random()*50-1);
			painter.graphics.endFill();
		}
		private function enterHandler(e:Event):void
		{
			if(angle<800){
				matrix = new Matrix();
				matrix.translate(angle+Math.random()*600-1,1);
				matrix.rotate(-angle);
				bmd.applyFilter(bmd,bmd.rect,new Point(0,0),filterObj);
				bmd.draw(painter,matrix);
				angle++;
			}else{
				init();
			}
		}
	}
}